const cron = require('node-cron');
const reminderService = require('../services/reminderService')

cron.schedule('45 23 * * *', async () => {
  console.log('Running task at 11:45 PM in Eastern Time');
	await reminderService.createCustomerRelatedEvents(30);
	await reminderService.createVehicleRelatedEvents(30);
}, {
	scheduled: true,
	timezone: "America/New_York"
})